﻿@model OperationalRiskException.Core.ViewModels.LoginViewModel

@{
    ViewBag.Title = "Login";
    Layout = "~/Views/Shared/_LoginLayout.cshtml";
}
<h1 class="text-white p-lg-4 text-center">
    Operational Risk Process

</h1>

<div class="d-flex justify-content-center h-75">

    <div class="card">
        <div class="card-header">
            <div class="header-login">
                @if (TempData["Message"] != null)
                {
                    <div class="text-danger">
                        @TempData["Message"]

                    </div>
                }
            </div>
            <h3>Sign In</h3>
         
        </div>
        <div class="card-body">
            @using (Html.BeginForm())
            {
                @Html.AntiForgeryToken()
                <div class="input-group form-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="mdi mdi-account mdi-18px prefix"></i></span>
                    </div>

                    @Html.EditorFor(model => model.Username, new { htmlAttributes = new { @class = "form-control", @placeholder = "Username" } })

                </div>
                <div class="mb-2">
                    @Html.ValidationMessageFor(model => model.Username, "", new { @class = "text-danger" })
                </div>
                <div class="input-group form-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="mdi mdi-key mdi-18px prefix"></i></span>
                    </div>
                    @Html.PasswordFor(model => model.Password, new { @class = "form-control", @placeholder = "Password" })

                </div>
                <div class="mb-2">
                    @Html.ValidationMessageFor(model => model.Password, "", new { @class = "text-danger" })
                </div>
                <div class="input-group form-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="mdi mdi-18px mdi-folder-key-network-outline prefix"></i></span>
                    </div>
                    @Html.EditorFor(model => model.Token, new { htmlAttributes = new { @class = "form-control", @placeholder = "Token" } })

                </div>
                <div class="mb-2">
                    @Html.ValidationMessageFor(model => model.Token, "", new { @class = "text-danger" })
                </div>
                <div class="form-group">
                    <input type="submit" value="Login" class="btn float-right login_btn">
                </div>
            }
        </div>
        <div class="card-body">
            <div class="d-flex justify-content-center links">
                For Complaints?<a href="#"> Click Here</a>
            </div>

        </div>
    </div>
</div>



@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
